Subject: RE: [Sip] SIP codecs

From: "Paradiso, Francesco" <[email-masked]>
Date: Tue, 14 Mar 2006 09:53:33 +0100

Thanks to all,

I deduce that other codecs should be set in the list, but the order MUST be based on priority.

Best Regards
Francesco

-----Original Message-----
From: Giacomo Vacca [mailto:[email-masked]] 
Sent: Monday, March 13, 2006 2:04 PM
To: [email-masked]
Subject: Re: [Sip] SIP codecs

Hi Francesco,
as stated in RFC 3264 (An Offer/Answer Model for SDP), §6.1:
"

The stream MAY indicate additional media formats, not listed in the
   corresponding stream in the offer, that the answerer is willing to
   send or receive (of course, it will not be able to send them at this
   time, since it was not listed in the offer).
"

I hope it's useful.

Regards,
Giacomo

Paradiso, Francesco wrote:

> Hi all,
> if a UAC send an invite with codec "X" and "Y", it should be possible 
> that a 200ok is received with codec "Z","X" and "Y" ?
> or the 200ok must be sent with a sub-set of supported codec?
> Is there an RFC that refer to this behaviour?
>  
> Thanks in advance and Best Regards
> Francesco
>  
>
>
> __________ NOD32 1.1440 (20060312) Information __________
>
> This message was checked by NOD32 antivirus system.
> http://www.eset.com
>
>-----------------------------------------------------------------------
>-
>
>_______________________________________________
>Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
>This list is for NEW development of the core SIP Protocol Use 
>[email-masked] for questions on current sip Use 
>[email-masked] for new developments on the application of sip
>
>__________ NOD32 1.1440 (20060312) Information __________
>
>This message was checked by NOD32 antivirus system.
>http://www.eset.com
>
>  
>

--
ing. Giacomo Vacca
Product Manager
Abbeynet SpA
Viale Monastir Km. 8,200 - ex S.S. 131
casella postale 79
09028 Sestu (CA), Italy

Piazza Rondanini 48 00186 Roma

-----------------------------------
[email-masked]

phone: +39 070 2339346
voip: sip:[email-masked]
enum: +88299 002440 46
mobile: +39 3928454855
fax: +39 070 229016
-----------------------------------

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use [email-masked] for questions on current sip Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip